#
# spec file for package way-cooler
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           way-cooler
Version:        0.8.0
Release:        lp150.1.26
Summary:        Customizeable Wayland compositor written in Rust
License:        MIT
Group:          System/GUI/Other
Url:            http://way-cooler.org/
Source0:        https://github.com/way-cooler/way-cooler/archive/v%{version}.tar.gz
Source1:        vendor.tar.xz
BuildRequires:  cargo
BuildRequires:  gdk-pixbuf-devel >= 2.26
BuildRequires:  git
BuildRequires:  libcurl-devel
BuildRequires:  lua53-devel
BuildRequires:  rust
BuildRequires:  rust-std
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wlc)
BuildRequires:  pkgconfig(xkbcommon)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Way Cooler is a customizable tiling window manager written in Rust for Wayland and configurable using Lua.

%prep
%setup -q
%setup -q -D -T -a 1
mkdir cargo-home
cat >cargo-home/config <<EOF

[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'
[source.vendored-sources]
directory = './vendor'
EOF

%build
export CARGO_HOME=`pwd`/cargo-home/
RUST_BACKTRACE=1 cargo build --release %{?_smp_mflags}

%install
mkdir build
export CARGO_HOME=`pwd`/cargo-home/
cargo install --root=build
install -Dm0755 build/bin/way-cooler	%{buildroot}%{_bindir}/way-cooler
install -Dm644 config/init.lua			%{buildroot}%{_sysconfdir}/way-cooler/init.lua
install -Dm644 way-cooler.desktop		%{buildroot}%{_datadir}/wayland-sessions/way-cooler.desktop

%files
%defattr(-,root,root)
%doc README.md LICENSE
%{_bindir}/way-cooler
%dir %{_sysconfdir}/way-cooler
%{_sysconfdir}/way-cooler/init.lua
%dir %{_datadir}/wayland-sessions
%{_datadir}/wayland-sessions/way-cooler.desktop

%changelog
* Thu Jan 25 2018 mvetter@suse.com
- Update to 0.8.0:
  * Changed the format for colours in the init.lua file. No longer
  accepts a number and instead should be a string. This is backwards incompatible.
* Mon Jan  8 2018 mvetter@suse.com
- Update to 0.7.0:
  * Note that all of the extension programs (wc-bg, wc-lock, and wc-grab) have backward incompatible changes in this release. Previous versions will not work as expected!
  * The background program binary has been renamed to wc-bg (originally way-cooler-bg)
  * The lockscreen program no longer uses a hack in order to render but uses a modified version of the desktop-shell protocol
  * Can now choose whether root containers have borders or not
  * See full changelog https://github.com/way-cooler/way-cooler/blob/master/changelog/v0.7.0.md
* Mon Sep  4 2017 luke.nukem.jones@gmail.com
- Update to 0.6.2
  + Lua fixes:
  * Added the no-op command, this allows the user to register a keybinding but not yet make it do anything. #363
  + Tiling bug fixes:
  * dmenu will no longer render as too tall #355
  * Scrollbars and other small windows no longer have weird visual artifacts #364
  * All popup windows should now be properly focused on the screen #218
* Sat Aug  5 2017 mvetter@suse.com
- Add missing BuildRequires
- Use pkgconfig
  Thanks to luke_nukem
* Fri Aug  4 2017 mvetter@suse.com
- Add vendored depdendencies vendor.tar.xz
- Add more build requirements
* Wed Aug  2 2017 mvetter@suse.com
- Update to 0.6.1:
  * This version introduces two new features:
  The ability to unbind keybindings and to allow passthrough
  for keybindings. See #345 for more details.
  * Root level containers have always have borders now. #315
  * If XDG_RUNTIME_DIR doesn't exist, an error explaining that is logged. #310
  * Screen scraping doesn't scrape active output (needs v0.2 of wc-grab) #349
  * Nested sub containers do not render borders properly when using new container command when a new container can't be spawned (e.g when there's one child) #344
  * Popup windows are no longer sized incorrectly #337
  * Popup windows should now be always centered on the screen correctly #218
  * Switching containers to a new workspace will no longer cause it to be invisible on a workspace that is not active. If it is moved to an inactive workspace, that one is made visible instead #333
  * Floating windows now update their focused colour correctly #320
  * Floating sub windows (e.g right click menus) no longer spawn with borders #319
  * Floating windows (such as dmenu) are no longer hidden when spawned in a tabbed/stacked container #317
  * Nested Tabbed/Stacked borders are now rendered correctly #313
* Sun Jul  2 2017 mvetter@suse.com
- Initial version (0.6.0) for openSUSE
